LSSUBSYS(1)

NAME

lssubsys - list hierarchies containing given subsystem

SYNOPSIS
lssubsys [-m|--mount-points] [controller] [...]
lssubsys [-m|--mount-points] [-i|--hierarchies] [-a|--all]
lssubsys [-h|--help]

DESCRIPTION

The command list hierarchies containing the given subsystem(s) if no subsystem is defined then it displays all mounted hierarchies.

controller
    defines subsystem whose hierarchy is shown. If this parameter is not used then the command list all mounted subsystems.

-m, --mount-points
    Display mount points.

-a, --all
    Display all subsystems (including not mounted ones).

-i, --hierarchies
    Display attached hierarchy number, if the subsystem is in a hierarchy. If the option -m is used too, then the hierarchy number is shown only for not mounted hierarchies.

-h, --help
    Display help and exit.

EXAMPLE
Command lssubsys -am lists all subsystems which are present on the system, mounted ones have attached the mount point:
    $ lssubsys -am
    ns
    cpuset
    cpu,devices
    cpuacct /cgroup/cpuacct
    memory /cgroup/memory
    freezer /cgroup/freezer
    net_cls /cgroup/net_cls

Command lssubsys -ami lists all subsystems which are present on the system, mounted subsystems have attached the mount point, not mounted ones which are in some hierarchy have attached the hierarchy number:
    $ lssubsys -ami
    ns
    cpuset 5
    cpu,devices 6
    cpuacct /cgroup/cpuacct
    memory /cgroup/memory
    freezer /cgroup/freezer
    net_cls /cgroup/net_cls

SEE ALSO
lscgroup (1), cgcreate (1), cgdelete (1), cgconfig.conf (5)